## org.biojava.bio.program.xff
Class LocationHandlerBase

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.program.xff.LocationHandlerBase

All Implemented Interfaces:
  StAXContentHandler

    public abstract class LocationHandlerBase

extends StAXContentHandlerBase

Handler to the XFF location type. To use this, write a simple subclass which takes the location and stores it somewhere sensible.

Since:
  1.2
Author:
  Thomas Down

Constructor Summary
`LocationHandlerBase()`

Method Summary
`void` `endElement(String nsURI, String localName, String qName, StAXContentHandler handler)`
`protected abstract void` `setLocationValue(Location l)` Override this method to do something useful with the location we collect.
`void` `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationHandlerBase

    public LocationHandlerBase()

Method Detail

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `StAXContentHandlerBase`
  Throws:
    `SAXException`

### endElement

    public void endElement(String nsURI,
                           String localName,
                           String qName,
                           StAXContentHandler handler)
                    throws SAXException

  Specified by:
    `endElement` in interface `StAXContentHandler`
  Overrides:
    `endElement` in class `StAXContentHandlerBase`
  Throws:
    `SAXException`

### setLocationValue

    protected abstract void setLocationValue(Location l)
                                      throws SAXException

  Override this method to do something useful with the location we collect. Maybe we should do this by delegation rather than extension.

  Throws:
    `SAXException`